# cryptojs-rails

[CryptoJS][crypto-js] is a growing collection 
of standard and secure cryptographic algorithms implemented in JavaScript,
using best practices and patterns.
They are fast, and they have a consistent and simple interface.

This gem allows for its inclusion into the Rails asset pipeline.


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'cryptojs-rails'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install cryptojs-rails


## Usage

Add this line to your application.js:

//= require crypto


## Versioning

`cryptojs-rails 2.5.3 == crypto-js 2.5.3`

Every attempt is made to mirror the currently shipping [crypto-js][crypto-js] version number wherever possible. The major, minor, and patch version numbers will always represent the crypto-js version. 
Should a gem bug be discovered, a 4th version identifier will be added and incremented.


## Contributing

1. Fork it ( https://github.com/[my-github-username]/cryptojs-rails/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request


[crypto-js]: https://code.google.com/p/crypto-js/ "crypto-js"